# Method: properties.dataStreams.eventCreateRules.list

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventCreateRules/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventCreateRules/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventCreateRules/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventCreateRules/list#body.request_body)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventCreateRules/list#body.response_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventCreateRules/list#body.ListEventCreateRulesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventCreateRules/list#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventCreateRules/list#try-it)

Lists EventCreateRules on a web data stream.

### HTTP request

`GET https://analyticsadmin.googleapis.com/v1alpha/{parent=properties/*/dataStreams/*}/eventCreateRules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Example format: properties/123/dataStreams/456 |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of resources to return. If unspecified, at most 50 resources will be returned. The maximum value is 200 (higher values will be coerced to the maximum). |
| `pageToken` | `string` A page token, received from a previous `eventCreateRules.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `eventCreateRules.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for eventCreateRules.list RPC.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "eventCreateRules": [ { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventCreateRules#EventCreateRule`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `eventCreateRules[]` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.dataStreams.eventCreateRules#EventCreateRule`)`` List of EventCreateRules. These will be ordered stably, but in an arbitrary order. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/analytics.readonly`
- `https://www.googleapis.com/auth/analytics.edit`